#!/bin/sh

set -e

cd tools

# lha
if which lha 2>/dev/null; then
    echo "* lha: installed."
else
    echo "* Installing lha."
    pwd=`pwd`
    if [ ! -d lha-1.14i-ac20050924p1 ]; then
	tar xvfz lha-1.14i-ac20050924p1.tar.gz
    fi
    cd lha-1.14i-ac20050924p1
    sh ./configure
    make
    make install
    echo "* Done."
    cd $pwd
fi

# ttsdk
if [ -d ttsdk ]; then
    echo "* ttsdk: Extracted."
else
    echo "* Extracting ttsdk."
    unzip ttsdk -d ttsdk
    echo ""
fi

# ttfmod
if [ -d ttfmod ]; then
    echo "* ttfmod: Extracted."
else
    echo "* Extracting ttfmod."
    lha x -w=ttfmod ttfmod-0.0.2.lzh
    echo ""
fi

# ttfname3
if [ -d ttfname3 ]; then
    echo "* ttfname3: Extracted."
else
    echo "* Extracting ttfname3."
    unzip ttfname3 -d ttfname3
    echo ""
fi

# add executable flag
find ttsdk ttfmod ttfname3 -name "*.[Ee][Xx][Ee]" | xargs chmod -v +x
